Skip to main content
POST
/
audits
/
{auditId}
/
evidence
/
custom-evidence-requests
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.createCustomEvidenceRequest({
    auditId: "<id>",
    createCustomEvidenceRequestInput: {
      controlIds: [
        "<value 1>",
        "<value 2>",
      ],
      title: "<value>",
      description: "pure bludgeon deliberately question although",
      cadence: "P1D",
      reminderWindow: "P0D",
      isRestricted: false,
      auditorEmail: "<value>",
    },
  });

  console.log(result);
}

run();
{
  "id": "65fc81a3359c8508c9af880f",
  "controlIds": [
    "1.1.2.a"
  ],
  "title": "Access Control Policy",
  "description": "Description for Access Control Policy",
  "cadence": "P6M",
  "reminderWindow": "P6M",
  "isRestricted": true
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

Body

application/json
controlIds
string[]
required

A set of controls, referenced by id, to map the evidence to

title
string
required

Title for the evidence request

description
string
required

Description for the evidence request

cadence
enum<string>
required

Renewal cadence

Available options:
P0D,
P1D,
P1W,
P1M,
P3M,
P6M,
P1Y,
P2Y
reminderWindow
enum<string>
required

Duration representing when to send notifications, relative to renewal date

Available options:
P0D,
P1D,
P1W,
P1M,
P3M,
P6M,
P1Y,
P2Y
isRestricted
boolean
required

Whether this document contains sensitive data and needs more restrictive read access

auditorEmail
string
required

Email of the auditor who created the custom evidence request.

Response

200 - application/json

Ok

id
string
required

Internal id of the custom evidence request within Vanta

controlIds
string[]
required

A set of controls, referenced by id, to map the evidence to

title
string
required

Title for the evidence request

description
string
required

Description for the evidence request

cadence
enum<string>
required

Renewal cadence

Available options:
P0D,
P1D,
P1W,
P1M,
P3M,
P6M,
P1Y,
P2Y
reminderWindow
enum<string>
required

Duration representing when to send notifications, relative to renewal date

Available options:
P0D,
P1D,
P1W,
P1M,
P3M,
P6M,
P1Y,
P2Y
isRestricted
boolean
required

Whether this document contains sensitive data and needs more restrictive read access